#ifndef __REGISTRY_HEADER
#define __REGISTRY_HEADER

#define REGISTRY_KEY						"\\SMS Plus"

#define REGISTRY_DEFAULT_SCREEN_SCALE		1
#define REGISTRY_DEFAULT_UPDATE_FREQUENCY	FREQ_60HZ
#define REGISTRY_DEFAULT_FRAME_SKIP			0
#define REGISTRY_DEFAULT_BUTTON_MAP			{DIK_LEFT, DIK_RIGHT, DIK_UP, DIK_DOWN, DIK_LCONTROL, DIK_LSHIFT, DIK_SPACE, 0, 0, 0, 0, 0, 0, 0}
#define REGISTRY_DEFAULT_ROM_PATH			"C:\\"

#define REGISTRY_SCREEN_SCALE				"Screen Scale"
#define REGISTRY_UPDATE_FREQUENCY			"Update Frequency"
#define REGISTRY_FRAME_SKIP					"Frame Skip"
#define REGISTRY_BUTTON_MAP					"Button Map"
#define REGISTRY_ROM_PATH					"ROM Path"
#define REGISTRY_SRAM_PATH					"SRAM Path"

typedef struct REGISTRY_INFO
{
	unsigned int							ScreenScale;
	unsigned int							UpdateFrequency;
	unsigned int							FrameSkip;
	unsigned char							ButtonMap[NO_OF_BUTTONS];
	char									ROMPath[MAX_PATH];
	char									SRAMPath[MAX_PATH];
} REGISTRY_INFO;

extern REGISTRY_INFO						RegistryInfo;

void										InitRegistryEntries(void);
BOOL										LoadRegistryEntries(void);
BOOL										SaveRegistryEntries(void);
void										SetFileAssociations(void);

#endif